import React, { useState } from 'react';
import { Button } from 'antd';
import Modal from 'antd';
import importIcon from '@/assets/images/page-person-import/import-icon.svg';
import styles from './index.less';

export default ({ info, onClose }) => {
  const [token] = useState(() => {
    return localStorage.getItem('token');
  });

  return (
    <Modal
      title={
        <div className={styles.header}>
          <img src={importIcon} />
        </div>
      }
      width={760}
      onClose={onClose}
      footer={
        <div className={styles.footer}>
          <div>
            您可以
            <a href={`/api/manage/downloadFailRecords?token=${token}&fileId=${info.failFileId}`}>
              下载错误报告
            </a>
            ，修改后重新导入
          </div>
          <Button type="primary" size="large" onClick={() => onClose(true)}>
            重新导入
          </Button>
        </div>
      }
    >
      <div className={styles.listW}>
        <div className={styles.info}>
          成功导入 {info.successRecord} 条数据，有 {info.failedRecord} 条数据导入失败：
        </div>
        <div className={styles.list}>
          <div className={styles.row}>
            <div className={styles.col1}>姓名</div>
            <div className={styles.col2}>类型</div>
            <div className={styles.col3}>手机号</div>
            <div className={styles.col4}>职务</div>
            <div className={styles.col5}>原因</div>
          </div>
          {(info.failData || []).map((item, itemIndex) => {
            return (
              // eslint-disable-next-line react/no-array-index-key
              <div className={styles.row} key={itemIndex}>
                <div className={styles.col1}>{item.userName}</div>
                <div className={styles.col2}>{item.manageUserType}</div>
                <div className={styles.col3}>{item.phone}</div>
                <div className={styles.col4}>{item.job}</div>
                <div className={styles.col5}>
                  <div>{item.failedReason}</div>
                </div>
              </div>
            );
          })}
        </div>
      </div>
    </Modal>
  );
};
