import React from 'react';
import { Modal, Button } from 'antd';
// import Icon from '@/tenants-ui/Icon';
import Icon from '@/tenants-ui/SgIcon';
import iconImport from '@/assets/images/page-person-import/import-icon.svg';
import styles from './index.less';

export default ({ info, onClose }) => {
  return (
    <div className={styles.c}>
      <Modal
        width={320}
        maskClosable={false}
        closable={false}
        footer={null}
        visible
        getContainer={false}
      >
        <div className={styles.header}>
          <img src={iconImport} />
          <span className={styles.close} onClick={onClose}>
            <Icon type="close" />
          </span>
        </div>
        <div className={styles.info}>成功导入 {info.successRecord} 条数据</div>
        <div className={styles.f}>
          <Button type="primary" size="large" onClick={onClose}>
            完成
          </Button>
        </div>
      </Modal>
    </div>
  );
};
